# kyotocabinet::BasicDB::Logger Class Reference

Interface to log internal information and errors. More...

`#include <kcdb.h>`

List of all members.

## Public Types

enum | Kind { DEBUG = 1 << 0, INFO = 1 << 1, WARN = 1 << 2, ERROR = 1 << 3 }
| Event kinds. More...

## Public Member Functions

virtual | ~Logger ()
| Destructor.
virtual void | log (const char *file, int32_t line, const char *func, Kind kind, const char *message)=0
| Process a log message.

## Detailed Description

Interface to log internal information and errors.

## Member Enumeration Documentation

enum kyotocabinet::BasicDB::Logger::Kind

Event kinds.

Enumerator:

  DEBUG | debugging
  INFO | normal information
  WARN | warning
  ERROR | error

## Constructor & Destructor Documentation

virtual kyotocabinet::BasicDB::Logger::~Logger | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void kyotocabinet::BasicDB::Logger::log | ( | const char * | file,
|  | int32_t | line,
|  | const char * | func,
|  | Kind | kind,
|  | const char * | message
| ) |  | `[pure virtual]`

Process a log message.

Parameters:

  file | the file name of the program source code.
  line | the line number of the program source code.
  func | the function name of the program source code.
  kind | the kind of the event. Logger::DEBUG for debugging, Logger::INFO for normal information, Logger::WARN for warning, and Logger::ERROR for fatal error.
  message | the supplement message.